Package ghidra.app.util.bin.format.xcoff

# Class XCoffFileHeader

java.lang.Object
ghidra.app.util.bin.format.xcoff.XCoffFileHeader

All Implemented Interfaces:
  `StructConverter`

public class XCoffFileHeader extends Object implements StructConverter
XCOFF File Header. Handles both 32 and 64 bit cases.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SIZEOF`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCoffFileHeader(ByteProvider provider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getFlags()`
  `short`
  `getMagic()`
  `XCoffOptionalHeader`
  `getOptionalHeader()`
  `short`
  `getOptionalHeaderSize()`
  `short`
  `getSectionCount()`
  `int`
  `getSymbolTableEntries()`
  `long`
  `getSymbolTablePointer()`
  `int`
  `getTimeStamp()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SIZEOF

    public static final int SIZEOF
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XCoffFileHeader

    public XCoffFileHeader(ByteProvider provider) throws IOException, XCoffException
    Throws:
      `IOException`
      `XCoffException`

- ## Method Details

  - ### getMagic

    public short getMagic()

  - ### getSectionCount

    public short getSectionCount()

  - ### getTimeStamp

    public int getTimeStamp()

  - ### getSymbolTablePointer

    public long getSymbolTablePointer()

  - ### getSymbolTableEntries

    public int getSymbolTableEntries()

  - ### getOptionalHeaderSize

    public short getOptionalHeaderSize()

  - ### getFlags

    public short getFlags()

  - ### getOptionalHeader

    public XCoffOptionalHeader getOptionalHeader()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`